GNU bug report logs - #397
23.0.60; T in Info when in (dir)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: "Drew Adams" <drew.adams@HIDDEN>; dated Thu, 12 Jun 2008 16:00:04 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 397 <at> debbugs.gnu.org:


Received: (at 397) by debbugs.gnu.org; 30 Apr 2016 20:10:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 30 16:10:47 2016
Received: from localhost ([127.0.0.1]:58524 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1awbDz-0003oE-9O
	for submit <at> debbugs.gnu.org; Sat, 30 Apr 2016 16:10:47 -0400
Received: from sub3.mail.dreamhost.com ([69.163.253.7]:56938
 helo=homiemail-a100.g.dreamhost.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1awbDx-0003o6-7e
 for 397 <at> debbugs.gnu.org; Sat, 30 Apr 2016 16:10:45 -0400
Received: from homiemail-a100.g.dreamhost.com (localhost [127.0.0.1])
 by homiemail-a100.g.dreamhost.com (Postfix) with ESMTP id 9F51831A070;
 Sat, 30 Apr 2016 13:10:44 -0700 (PDT)
Received: from localhost.linkov.net (m83-191-208-165.cust.tele2.ee
 [83.191.208.165]) (Authenticated sender: jurta@HIDDEN)
 by homiemail-a100.g.dreamhost.com (Postfix) with ESMTPA id 3BE7E31A061;
 Sat, 30 Apr 2016 13:10:43 -0700 (PDT)
From: Juri Linkov <juri@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#397: 23.0.60; T in Info when in (dir)
Organization: LINKOV.NET
References: <007c01c8cca4$686e6fb0$c2b22382@HIDDEN>
 <87eg9rhvzy.fsf@HIDDEN>
 <285bd041-cb56-4d42-a085-88605bd08f44@default>
 <87twingfso.fsf@HIDDEN>
 <72369d48-65c7-4468-9d49-21dcb045cdf2@default>
 <8760v3gdkm.fsf@HIDDEN>
 <5a64ed8a-d9c7-4b33-b63a-11d83b7dab99@default>
 <83vb33x7b6.fsf@HIDDEN> <87h9emoqsw.fsf@HIDDEN>
 <83potayhq8.fsf@HIDDEN>
Date: Sat, 30 Apr 2016 23:08:04 +0300
In-Reply-To: <83potayhq8.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 27 Apr
 2016 22:27:59 +0300")
Message-ID: <87a8kc8d6m.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.92 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 397
Cc: larsi@HIDDEN, Andreas Schwab <schwab@HIDDEN>, 397 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

>> > So, from now on, no Info manual can be called "dir" or "dir.info", or
>> > suchlikes?
>>
>> dir has always been special.
>
> It's name is special, but its structure could be anything, and could
> support a TOC.

I remember an idea to display a table of contents of (usually very long)
dir itself with a list of its section names.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#397; Package emacs. Full text available.

Message received at 397 <at> debbugs.gnu.org:


Received: (at 397) by debbugs.gnu.org; 27 Apr 2016 19:28:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 27 15:28:30 2016
Received: from localhost ([127.0.0.1]:50624 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1avV8M-0007bZ-Bl
	for submit <at> debbugs.gnu.org; Wed, 27 Apr 2016 15:28:30 -0400
Received: from eggs.gnu.org ([208.118.235.92]:51254)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1avV8J-0007bK-Sx
 for 397 <at> debbugs.gnu.org; Wed, 27 Apr 2016 15:28:24 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1avV8B-00089H-DG
 for 397 <at> debbugs.gnu.org; Wed, 27 Apr 2016 15:28:18 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.9 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:56332)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1avV8B-00089D-9l; Wed, 27 Apr 2016 15:28:15 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:3225
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1avV8A-0006J2-Gd; Wed, 27 Apr 2016 15:28:14 -0400
Date: Wed, 27 Apr 2016 22:27:59 +0300
Message-Id: <83potayhq8.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andreas Schwab <schwab@HIDDEN>
In-reply-to: <87h9emoqsw.fsf@HIDDEN> (message from Andreas Schwab on
 Wed, 27 Apr 2016 20:22:07 +0200)
Subject: Re: bug#397: 23.0.60; T in Info when in (dir)
References: <007c01c8cca4$686e6fb0$c2b22382@HIDDEN>
 <87eg9rhvzy.fsf@HIDDEN>
 <285bd041-cb56-4d42-a085-88605bd08f44@default>
 <87twingfso.fsf@HIDDEN>
 <72369d48-65c7-4468-9d49-21dcb045cdf2@default>
 <8760v3gdkm.fsf@HIDDEN>
 <5a64ed8a-d9c7-4b33-b63a-11d83b7dab99@default>
 <83vb33x7b6.fsf@HIDDEN> <87h9emoqsw.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -6.0 (------)
X-Debbugs-Envelope-To: 397
Cc: larsi@HIDDEN, 397 <at> debbugs.gnu.org, drew.adams@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: Andreas Schwab <schwab@HIDDEN>
> Cc: Drew Adams <drew.adams@HIDDEN>,  larsi@HIDDEN,  397 <at> debbugs.gnu.org
> Date: Wed, 27 Apr 2016 20:22:07 +0200
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > So, from now on, no Info manual can be called "dir" or "dir.info", or
> > suchlikes?
> 
> dir has always been special.

It's name is special, but its structure could be anything, and could
support a TOC.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#397; Package emacs. Full text available.

Message received at 397 <at> debbugs.gnu.org:


Received: (at 397) by debbugs.gnu.org; 27 Apr 2016 18:28:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 27 14:28:19 2016
Received: from localhost ([127.0.0.1]:50505 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1avUCB-00019g-Ko
	for submit <at> debbugs.gnu.org; Wed, 27 Apr 2016 14:28:19 -0400
Received: from hermes.netfonds.no ([80.91.224.195]:47509)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1avUCA-00019Z-KP
 for 397 <at> debbugs.gnu.org; Wed, 27 Apr 2016 14:28:18 -0400
Received: from cm-84.215.1.64.getinternet.no ([84.215.1.64] helo=mouse)
 by hermes.netfonds.no with esmtpsa (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.84_2) (envelope-from <larsi@HIDDEN>)
 id 1avUC7-00019y-T9; Wed, 27 Apr 2016 20:28:17 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#397: 23.0.60; T in Info when in (dir)
References: <007c01c8cca4$686e6fb0$c2b22382@HIDDEN>
 <87eg9rhvzy.fsf@HIDDEN>
 <285bd041-cb56-4d42-a085-88605bd08f44@default>
 <87twingfso.fsf@HIDDEN>
 <72369d48-65c7-4468-9d49-21dcb045cdf2@default>
 <8760v3gdkm.fsf@HIDDEN>>
 <5a64ed8a-d9c7-4b33-b63a-11d83b7dab99@default>>
 <83vb33x7b6.fsf@HIDDEN>>
 <b018da66-7a95-4b32-b184-baecc0a3af3a@default>
Date: Wed, 27 Apr 2016 20:28:15 +0200
In-Reply-To: <b018da66-7a95-4b32-b184-baecc0a3af3a@default> (Drew Adams's
 message of "Wed, 27 Apr 2016 11:09:54 -0700 (PDT)")
Message-ID: <874mamgb40.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 397
Cc: Eli Zaretskii <eliz@HIDDEN>, 397 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Drew Adams <drew.adams@HIDDEN> writes:

> Fair enough.  Someone might actually try it: use the :enable
> guard (Info-find-node "dir" "*TOC*") and see whether it is
> in fact onerous.  If it is then I agree with (both of) you:
> we can do without disabling the menu item.

Well, using it as is doesn't really work, because it does a lot
of... stuff.

Here's how it starts:

(defun Info-find-node-2 (filename nodename &optional no-going-back strict-case)
  (buffer-disable-undo (current-buffer))
  (or (derived-mode-p 'Info-mode)
      (Info-mode))
  (widen)
  (setq Info-current-node nil)
  (unwind-protect
      (let ((case-fold-search t)
	    (virtual-fun (Info-virtual-fun 'find-node
					   (or filename Info-current-file)
					   nodename))
	    anchorpos)
	(cond
	 ((functionp virtual-fun)
	  (let ((filename (or filename Info-current-file)))
	    (setq buffer-read-only nil)
	    (setq Info-current-file filename
		  Info-current-subfile nil
		  Info-current-file-completions nil
		  buffer-file-name nil)
	    (erase-buffer)

So that's not the right thing to use.

(Info-virtual-fun 'find-node "dir" "*TOC*")
=> Info-directory-find-node

(defun Info-directory-find-node (_filename _nodename &optional _no-going-back)
  "Directory-specific implementation of `Info-find-node-2'."
  (Info-insert-dir))

...

(defun Info-insert-dir ()
  (if (and Info-dir-contents Info-dir-file-attributes
	   ;; Verify that none of the files we used has changed
	   ;; since we used it.
	   (eval (cons 'and
		       (mapcar (lambda (elt)
				 (let ((curr (file-attributes
					      ;; Handle symlinks
					      (file-truename (car elt)))))


And down the rabbit hole we go.  Why are we calling that function and
ignoring the parameters?  It's all very confusing.

So does somebody know what the real way to find out whether a node
exists is?  :-)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#397; Package emacs. Full text available.

Message received at 397 <at> debbugs.gnu.org:


Received: (at 397) by debbugs.gnu.org; 27 Apr 2016 18:22:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 27 14:22:11 2016
Received: from localhost ([127.0.0.1]:50497 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1avU6F-00010N-Oi
	for submit <at> debbugs.gnu.org; Wed, 27 Apr 2016 14:22:11 -0400
Received: from mail-out.m-online.net ([212.18.0.10]:42216)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <whitebox@HIDDEN>) id 1avU6E-00010D-3t
 for 397 <at> debbugs.gnu.org; Wed, 27 Apr 2016 14:22:10 -0400
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 3qw7bN5vy9z3hjnN;
 Wed, 27 Apr 2016 20:22:08 +0200 (CEST)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.68])
 by mail.m-online.net (Postfix) with ESMTP id 3qw7bN4ScgzvjDK;
 Wed, 27 Apr 2016 20:22:08 +0200 (CEST)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.68]) (amavisd-new,
 port 10024)
 with ESMTP id TzvmYhRMh33a; Wed, 27 Apr 2016 20:22:07 +0200 (CEST)
X-Auth-Info: +dnXLWS0FIx2VbBQaWyVWkdSwasvE1TS3mVyZzOfK8c3HN8OXGumgOYomERMJsb1
Received: from igel.home (ppp-88-217-27-204.dynamic.mnet-online.de
 [88.217.27.204]) by mail.mnet-online.de (Postfix) with ESMTPA;
 Wed, 27 Apr 2016 20:22:07 +0200 (CEST)
Received: by igel.home (Postfix, from userid 1000)
 id 18C572C3A64; Wed, 27 Apr 2016 20:22:07 +0200 (CEST)
From: Andreas Schwab <schwab@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#397: 23.0.60; T in Info when in (dir)
References: <007c01c8cca4$686e6fb0$c2b22382@HIDDEN>
 <87eg9rhvzy.fsf@HIDDEN>
 <285bd041-cb56-4d42-a085-88605bd08f44@default>
 <87twingfso.fsf@HIDDEN>
 <72369d48-65c7-4468-9d49-21dcb045cdf2@default>
 <8760v3gdkm.fsf@HIDDEN>
 <5a64ed8a-d9c7-4b33-b63a-11d83b7dab99@default>
 <83vb33x7b6.fsf@HIDDEN>
X-Yow: BELA LUGOSI is my co-pilot..
Date: Wed, 27 Apr 2016 20:22:07 +0200
In-Reply-To: <83vb33x7b6.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 27 Apr
 2016 20:58:21 +0300")
Message-ID: <87h9emoqsw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.93 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 397
Cc: larsi@HIDDEN, 397 <at> debbugs.gnu.org, Drew Adams <drew.adams@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

> So, from now on, no Info manual can be called "dir" or "dir.info", or
> suchlikes?

dir has always been special.

Andreas.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#397; Package emacs. Full text available.

Message received at 397 <at> debbugs.gnu.org:


Received: (at 397) by debbugs.gnu.org; 27 Apr 2016 18:10:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 27 14:10:06 2016
Received: from localhost ([127.0.0.1]:50487 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1avTuY-0000ie-DA
	for submit <at> debbugs.gnu.org; Wed, 27 Apr 2016 14:10:06 -0400
Received: from aserp1040.oracle.com ([141.146.126.69]:45000)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1avTuW-0000i5-1s
 for 397 <at> debbugs.gnu.org; Wed, 27 Apr 2016 14:10:04 -0400
Received: from userv0021.oracle.com (userv0021.oracle.com [156.151.31.71])
 by aserp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 u3RI9vlS023769
 (version=TLSv1 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Wed, 27 Apr 2016 18:09:58 GMT
Received: from aserv0121.oracle.com (aserv0121.oracle.com [141.146.126.235])
 by userv0021.oracle.com (8.13.8/8.13.8) with ESMTP id u3RI9vZ3030795
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Wed, 27 Apr 2016 18:09:57 GMT
Received: from abhmp0005.oracle.com (abhmp0005.oracle.com [141.146.116.11])
 by aserv0121.oracle.com (8.13.8/8.13.8) with ESMTP id u3RI9uNl032253;
 Wed, 27 Apr 2016 18:09:56 GMT
MIME-Version: 1.0
Message-ID: <b018da66-7a95-4b32-b184-baecc0a3af3a@default>
Date: Wed, 27 Apr 2016 11:09:54 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>, Drew Adams <drew.adams@HIDDEN>
Subject: RE: bug#397: 23.0.60; T in Info when in (dir)
References: <<007c01c8cca4$686e6fb0$c2b22382@HIDDEN>
 <87eg9rhvzy.fsf@HIDDEN>	<285bd041-cb56-4d42-a085-88605bd08f44@default>
 <87twingfso.fsf@HIDDEN>	<72369d48-65c7-4468-9d49-21dcb045cdf2@default>
 <8760v3gdkm.fsf@HIDDEN>> <<5a64ed8a-d9c7-4b33-b63a-11d83b7dab99@default>>
 <<83vb33x7b6.fsf@HIDDEN>>
In-Reply-To: <<83vb33x7b6.fsf@HIDDEN>>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9  (901082) [OL
 12.0.6744.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: userv0021.oracle.com [156.151.31.71]
X-Spam-Score: -3.3 (---)
X-Debbugs-Envelope-To: 397
Cc: larsi@HIDDEN, 397 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> > `Info-toc' should raise an error immediately, if the current node
> > is the top.  Something like this, perhaps:
> >
> > (defun Info-toc ()
> >   "@@@@@@@@@"
> >   (interactive)
> >   (when (equal Info-current-file "dir") (error "@@@@@@@@@@@@@@@@@"))
>=20
> So, from now on, no Info manual can be called "dir" or "dir.info", or
> suchlikes?  Does dimming an option in a rarely-used menu really
> justify this?  I don't think so.

It was a quick-and-dirty implementation suggestion.  I don't
argue for that implementation.

If we put the "real" code for this into an :enable menu guard
then that guard would be (Info-find-node "dir" "*TOC*").

And in the case of your hypothetical manual named "dir", there
could be such a *TOC* node, and in that case the menu item would
be correctly enabled.

> We should look for a better solution, if one exists.  If it doesn't,
> then it isn't a catastrophe to have that option be available and fail
> if invoked where it cannot work.  No one who knows something about
> Info will invoke that function in this situation, anyway.

Fair enough.  Someone might actually try it: use the :enable
guard (Info-find-node "dir" "*TOC*") and see whether it is
in fact onerous.  If it is then I agree with (both of) you:
we can do without disabling the menu item.

> > But probably not.  `Info-index' does only this:
> > (equal Info-current-file "dir")
>=20
> Bad, bad Info-index!

;-)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#397; Package emacs. Full text available.

Message received at 397 <at> debbugs.gnu.org:


Received: (at 397) by debbugs.gnu.org; 27 Apr 2016 17:58:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 27 13:58:46 2016
Received: from localhost ([127.0.0.1]:50465 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1avTja-0007Dm-Fw
	for submit <at> debbugs.gnu.org; Wed, 27 Apr 2016 13:58:46 -0400
Received: from eggs.gnu.org ([208.118.235.92]:54435)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1avTjZ-0007Da-Gu
 for 397 <at> debbugs.gnu.org; Wed, 27 Apr 2016 13:58:45 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1avTjR-000714-AL
 for 397 <at> debbugs.gnu.org; Wed, 27 Apr 2016 13:58:40 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.2 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:54662)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1avTjR-000710-7h; Wed, 27 Apr 2016 13:58:37 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:3185
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1avTjQ-0007M4-ET; Wed, 27 Apr 2016 13:58:36 -0400
Date: Wed, 27 Apr 2016 20:58:21 +0300
Message-Id: <83vb33x7b6.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
In-reply-to: <5a64ed8a-d9c7-4b33-b63a-11d83b7dab99@default> (message from Drew
 Adams on Wed, 27 Apr 2016 10:46:38 -0700 (PDT))
Subject: Re: bug#397: 23.0.60; T in Info when in (dir)
References: <007c01c8cca4$686e6fb0$c2b22382@HIDDEN>
 <87eg9rhvzy.fsf@HIDDEN>
 <285bd041-cb56-4d42-a085-88605bd08f44@default>
 <87twingfso.fsf@HIDDEN>
 <72369d48-65c7-4468-9d49-21dcb045cdf2@default>
 <8760v3gdkm.fsf@HIDDEN> <5a64ed8a-d9c7-4b33-b63a-11d83b7dab99@default>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -6.0 (------)
X-Debbugs-Envelope-To: 397
Cc: larsi@HIDDEN, 397 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> Date: Wed, 27 Apr 2016 10:46:38 -0700 (PDT)
> From: Drew Adams <drew.adams@HIDDEN>
> Cc: 397 <at> debbugs.gnu.org
> 
> `Info-toc' should raise an error immediately, if the current node
> is the top.  Something like this, perhaps:
> 
> (defun Info-toc ()
>   "@@@@@@@@@"
>   (interactive)
>   (when (equal Info-current-file "dir") (error "@@@@@@@@@@@@@@@@@"))

So, from now on, no Info manual can be called "dir" or "dir.info", or
suchlikes?  Does dimming an option in a rarely-used menu really
justify this?  I don't think so.

We should look for a better solution, if one exists.  If it doesn't,
then it isn't a catastrophe to have that option be available and fail
if invoked where it cannot work.  No one who knows something about
Info will invoke that function in this situation, anyway.

> But probably not.  `Info-index' does only this:
> (equal Info-current-file "dir")

Bad, bad Info-index!




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#397; Package emacs. Full text available.

Message received at 397 <at> debbugs.gnu.org:


Received: (at 397) by debbugs.gnu.org; 27 Apr 2016 17:46:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 27 13:46:48 2016
Received: from localhost ([127.0.0.1]:50437 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1avTY0-0006vO-B2
	for submit <at> debbugs.gnu.org; Wed, 27 Apr 2016 13:46:48 -0400
Received: from aserp1040.oracle.com ([141.146.126.69]:28623)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1avTXz-0006vC-3J
 for 397 <at> debbugs.gnu.org; Wed, 27 Apr 2016 13:46:47 -0400
Received: from userv0022.oracle.com (userv0022.oracle.com [156.151.31.74])
 by aserp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 u3RHke3v022068
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Wed, 27 Apr 2016 17:46:41 GMT
Received: from userv0122.oracle.com (userv0122.oracle.com [156.151.31.75])
 by userv0022.oracle.com (8.14.4/8.13.8) with ESMTP id u3RHkeVE013052
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Wed, 27 Apr 2016 17:46:40 GMT
Received: from abhmp0005.oracle.com (abhmp0005.oracle.com [141.146.116.11])
 by userv0122.oracle.com (8.14.4/8.14.4) with ESMTP id u3RHke3c007710;
 Wed, 27 Apr 2016 17:46:40 GMT
MIME-Version: 1.0
Message-ID: <5a64ed8a-d9c7-4b33-b63a-11d83b7dab99@default>
Date: Wed, 27 Apr 2016 10:46:38 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: RE: bug#397: 23.0.60; T in Info when in (dir)
References: <007c01c8cca4$686e6fb0$c2b22382@HIDDEN>
 <87eg9rhvzy.fsf@HIDDEN> <285bd041-cb56-4d42-a085-88605bd08f44@default>
 <87twingfso.fsf@HIDDEN> <72369d48-65c7-4468-9d49-21dcb045cdf2@default>
 <8760v3gdkm.fsf@HIDDEN>
In-Reply-To: <8760v3gdkm.fsf@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9  (901082) [OL
 12.0.6744.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: userv0022.oracle.com [156.151.31.74]
X-Spam-Score: -3.3 (---)
X-Debbugs-Envelope-To: 397
Cc: 397 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Basically, Info calls
> (Info-find-node "dir" "*TOC*")
> which then fails.  Looking at that code, it's quite long and convoluted,
> and calling that just to gray out the menu item is probably not a good
> idea.  Does anybody know of a quick shortcut to determine whether the
> TOC isn't available?  I'm quite unfamiliar with the Info code.

`Info-toc' should raise an error immediately, if the current node
is the top.  Something like this, perhaps:

(defun Info-toc ()
  "@@@@@@@@@"
  (interactive)
  (when (equal Info-current-file "dir") (error "@@@@@@@@@@@@@@@@@"))
  (Info-find-node Info-current-file "*TOC*")
  (let ((prev-node (nth 1 (car Info-history))) p)
    (goto-char (point-min))
    (if (setq p (search-forward (concat "*Note " prev-node ":") nil t))
=09(setq p (- p (length prev-node) 2)))
    (goto-char (or p (point-min)))))

But you might need to worry about different versions of "dir", such
as is done in function `Info-insert-dir'.  Dunno.  I took only a
quick look.  Maybe you also need to check for the node name being
"top", as in `Info-directory' - dunno.

But probably not.  `Info-index' does only this:
(equal Info-current-file "dir")




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#397; Package emacs. Full text available.

Message received at 397 <at> debbugs.gnu.org:


Received: (at 397) by debbugs.gnu.org; 27 Apr 2016 17:35:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 27 13:35:10 2016
Received: from localhost ([127.0.0.1]:50410 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1avTMk-0006SN-0Q
	for submit <at> debbugs.gnu.org; Wed, 27 Apr 2016 13:35:10 -0400
Received: from hermes.netfonds.no ([80.91.224.195]:46877)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1avTMi-0006SG-KI
 for 397 <at> debbugs.gnu.org; Wed, 27 Apr 2016 13:35:08 -0400
Received: from cm-84.215.1.64.getinternet.no ([84.215.1.64] helo=mouse)
 by hermes.netfonds.no with esmtpsa (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.84_2) (envelope-from <larsi@HIDDEN>)
 id 1avTMf-0000VD-Vy; Wed, 27 Apr 2016 19:35:07 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#397: 23.0.60; T in Info when in (dir)
References: <007c01c8cca4$686e6fb0$c2b22382@HIDDEN>
 <87eg9rhvzy.fsf@HIDDEN>
 <285bd041-cb56-4d42-a085-88605bd08f44@default>
 <87twingfso.fsf@HIDDEN>
 <72369d48-65c7-4468-9d49-21dcb045cdf2@default>
Date: Wed, 27 Apr 2016 19:35:05 +0200
In-Reply-To: <72369d48-65c7-4468-9d49-21dcb045cdf2@default> (Drew Adams's
 message of "Wed, 27 Apr 2016 10:12:25 -0700 (PDT)")
Message-ID: <8760v3gdkm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 397
Cc: 397 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Drew Adams <drew.adams@HIDDEN> writes:

>> > Thanks, but that is not the whole fix.  You missed this part:
>> >
>> >     and (2) disable (dim) the corresponding item in the
>> >     Info menu when in (dir).
>> >
>> > The Info menu correctly has things like Up disabled (dimmed).
>> > But menu item Table of Contents (T) is not disabled.
>> > Please fix this part of the bug also.
>> 
>> Hm...  I don't quite follow.  Do you have a complete recipe, starting
>> from -Q?
>
> emacs -Q
> C-h i
>
> Look at the Info menu, in the menu bar.  See the menu item
> `Table of Contents           T'?  It should be disabled
> when at the (dir), i.e., the top, level.

Oh, I see.  I didn't think you meant the Emacs menu menu, but a menu in
the Info buffer.  :-)

Let's see...  Yes, that menu item should be dimmed.

Basically, Info calls

(Info-find-node "dir" "*TOC*")

which then fails.  Looking at that code, it's quite long and convoluted,
and calling that just to gray out the menu item is probably not a good
idea.  Does anybody know of a quick shortcut to determine whether the
TOC isn't available?  I'm quite unfamiliar with the Info code.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#397; Package emacs. Full text available.

Message received at 397 <at> debbugs.gnu.org:


Received: (at 397) by debbugs.gnu.org; 27 Apr 2016 17:12:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 27 13:12:36 2016
Received: from localhost ([127.0.0.1]:50363 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1avT0t-0002aA-Uf
	for submit <at> debbugs.gnu.org; Wed, 27 Apr 2016 13:12:36 -0400
Received: from userp1040.oracle.com ([156.151.31.81]:24919)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1avT0s-0002Zv-5R
 for 397 <at> debbugs.gnu.org; Wed, 27 Apr 2016 13:12:34 -0400
Received: from aserv0022.oracle.com (aserv0022.oracle.com [141.146.126.234])
 by userp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 u3RHCRYW014303
 (version=TLSv1 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Wed, 27 Apr 2016 17:12:28 GMT
Received: from userv0121.oracle.com (userv0121.oracle.com [156.151.31.72])
 by aserv0022.oracle.com (8.13.8/8.13.8) with ESMTP id u3RHCRij014288
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Wed, 27 Apr 2016 17:12:27 GMT
Received: from abhmp0005.oracle.com (abhmp0005.oracle.com [141.146.116.11])
 by userv0121.oracle.com (8.13.8/8.13.8) with ESMTP id u3RHCQ84004775;
 Wed, 27 Apr 2016 17:12:26 GMT
MIME-Version: 1.0
Message-ID: <72369d48-65c7-4468-9d49-21dcb045cdf2@default>
Date: Wed, 27 Apr 2016 10:12:25 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: RE: bug#397: 23.0.60; T in Info when in (dir)
References: <007c01c8cca4$686e6fb0$c2b22382@HIDDEN>
 <87eg9rhvzy.fsf@HIDDEN> <285bd041-cb56-4d42-a085-88605bd08f44@default>
 <87twingfso.fsf@HIDDEN>
In-Reply-To: <87twingfso.fsf@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9  (901082) [OL
 12.0.6744.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: aserv0022.oracle.com [141.146.126.234]
X-Spam-Score: -3.3 (---)
X-Debbugs-Envelope-To: 397
Cc: 397 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> > Thanks, but that is not the whole fix.  You missed this part:
> >
> >     and (2) disable (dim) the corresponding item in the
> >     Info menu when in (dir).
> >
> > The Info menu correctly has things like Up disabled (dimmed).
> > But menu item Table of Contents (T) is not disabled.
> > Please fix this part of the bug also.
>=20
> Hm...  I don't quite follow.  Do you have a complete recipe, starting
> from -Q?

emacs -Q
C-h i

Look at the Info menu, in the menu bar.  See the menu item
`Table of Contents           T'?  It should be disabled
when at the (dir), i.e., the top, level.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#397; Package emacs. Full text available.

Message received at 397 <at> debbugs.gnu.org:


Received: (at 397) by debbugs.gnu.org; 27 Apr 2016 16:47:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 27 12:47:08 2016
Received: from localhost ([127.0.0.1]:50338 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1avScG-0000Jv-Ej
	for submit <at> debbugs.gnu.org; Wed, 27 Apr 2016 12:47:08 -0400
Received: from hermes.netfonds.no ([80.91.224.195]:46187)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1avScF-0000Jo-5w
 for 397 <at> debbugs.gnu.org; Wed, 27 Apr 2016 12:47:07 -0400
Received: from cm-84.215.1.64.getinternet.no ([84.215.1.64] helo=mouse)
 by hermes.netfonds.no with esmtpsa (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.84_2) (envelope-from <larsi@HIDDEN>)
 id 1avScC-0008JJ-Ln; Wed, 27 Apr 2016 18:47:06 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#397: 23.0.60; T in Info when in (dir)
References: <007c01c8cca4$686e6fb0$c2b22382@HIDDEN>
 <87eg9rhvzy.fsf@HIDDEN>
 <285bd041-cb56-4d42-a085-88605bd08f44@default>
Date: Wed, 27 Apr 2016 18:47:03 +0200
In-Reply-To: <285bd041-cb56-4d42-a085-88605bd08f44@default> (Drew Adams's
 message of "Wed, 27 Apr 2016 09:42:35 -0700 (PDT)")
Message-ID: <87twingfso.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 397
Cc: 397 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Drew Adams <drew.adams@HIDDEN> writes:

> Thanks, but that is not the whole fix.  You missed this part:
>
>     and (2) disable (dim) the corresponding item in the
>     Info menu when in (dir).
>
> The Info menu correctly has things like Up disabled (dimmed).
> But menu item Table of Contents (T) is not disabled.
> Please fix this part of the bug also.

Hm...  I don't quite follow.  Do you have a complete recipe, starting
from -Q?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#397; Package emacs. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 397 <at> debbugs.gnu.org:


Received: (at 397) by debbugs.gnu.org; 27 Apr 2016 16:42:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 27 12:42:48 2016
Received: from localhost ([127.0.0.1]:50315 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1avSY3-0000AR-Tg
	for submit <at> debbugs.gnu.org; Wed, 27 Apr 2016 12:42:48 -0400
Received: from aserp1040.oracle.com ([141.146.126.69]:21425)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1avSY1-0000AE-Nt
 for 397 <at> debbugs.gnu.org; Wed, 27 Apr 2016 12:42:46 -0400
Received: from aserv0022.oracle.com (aserv0022.oracle.com [141.146.126.234])
 by aserp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 u3RGgd1B027814
 (version=TLSv1 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Wed, 27 Apr 2016 16:42:39 GMT
Received: from aserv0122.oracle.com (aserv0122.oracle.com [141.146.126.236])
 by aserv0022.oracle.com (8.13.8/8.13.8) with ESMTP id u3RGgdnC019111
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Wed, 27 Apr 2016 16:42:39 GMT
Received: from abhmp0005.oracle.com (abhmp0005.oracle.com [141.146.116.11])
 by aserv0122.oracle.com (8.13.8/8.13.8) with ESMTP id u3RGgaMk016934;
 Wed, 27 Apr 2016 16:42:38 GMT
MIME-Version: 1.0
Message-ID: <285bd041-cb56-4d42-a085-88605bd08f44@default>
Date: Wed, 27 Apr 2016 09:42:35 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: RE: bug#397: 23.0.60; T in Info when in (dir)
References: <007c01c8cca4$686e6fb0$c2b22382@HIDDEN>
 <87eg9rhvzy.fsf@HIDDEN>
In-Reply-To: <87eg9rhvzy.fsf@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9  (901082) [OL
 12.0.6744.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: aserv0022.oracle.com [141.146.126.234]
X-Spam-Score: -3.3 (---)
X-Debbugs-Envelope-To: 397
Cc: 397 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)



> -----Original Message-----
> From: Lars Ingebrigtsen [mailto:larsi@HIDDEN]
> Sent: Wednesday, April 27, 2016 9:12 AM
> To: Drew Adams
> Cc: 397 <at> debbugs.gnu.org
> Subject: Re: bug#397: 23.0.60; T in Info when in (dir)
>=20
> "Drew Adams" <drew.adams@HIDDEN> writes:
>=20
> > `T' in Info when you are at the directory level (dir), should either
> > raise an error or DTRT.
> >
> > To DTRT, it could do either of these:
> >
> > - return to the directory listing (which is useless),
> >   which is the top-level TOC
> > - show the contents of all manuals (pretty costly),
> >   which is the detailed TOC
> >
> > Currently, what `T' does is worse than useless. It shows this, where
> > (dir) and the second Top are links to the same place - the directory
> > you just came from:
> >
> >  Up: (dir)
> >  File: toc,  Node: Top
> >
> >  Table of Contents
> >  *****************
> >
> >  Top.
>=20
> This seems like it's fixed now.  If I `T' in the top level node, it just
> says "user-error: No such node or anchor: *TOC*".

Thanks, but that is not the whole fix.  You missed this part:

    and (2) disable (dim) the corresponding item in the
    Info menu when in (dir).

The Info menu correctly has things like Up disabled (dimmed).
But menu item Table of Contents (T) is not disabled.
Please fix this part of the bug also.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#397; Package emacs. Full text available.
bug closed, send any further explanations to 397 <at> debbugs.gnu.org and "Drew Adams" <drew.adams@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 397 <at> debbugs.gnu.org:


Received: (at 397) by debbugs.gnu.org; 27 Apr 2016 16:11:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 27 12:11:49 2016
Received: from localhost ([127.0.0.1]:50255 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1avS45-0006CE-B2
	for submit <at> debbugs.gnu.org; Wed, 27 Apr 2016 12:11:49 -0400
Received: from hermes.netfonds.no ([80.91.224.195]:45721)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1avS43-0006C6-MX
 for 397 <at> debbugs.gnu.org; Wed, 27 Apr 2016 12:11:48 -0400
Received: from cm-84.215.1.64.getinternet.no ([84.215.1.64] helo=mouse)
 by hermes.netfonds.no with esmtpsa (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.84_2) (envelope-from <larsi@HIDDEN>)
 id 1avS41-0007uP-CS; Wed, 27 Apr 2016 18:11:47 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: "Drew Adams" <drew.adams@HIDDEN>
Subject: Re: bug#397: 23.0.60; T in Info when in (dir)
References: <007c01c8cca4$686e6fb0$c2b22382@HIDDEN>
Date: Wed, 27 Apr 2016 18:11:45 +0200
In-Reply-To: <007c01c8cca4$686e6fb0$c2b22382@HIDDEN> (Drew Adams's
 message of "Thu, 12 Jun 2008 08:53:07 -0700")
Message-ID: <87eg9rhvzy.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 397
Cc: 397 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

"Drew Adams" <drew.adams@HIDDEN> writes:

> `T' in Info when you are at the directory level (dir), should either
> raise an error or DTRT.
>
> To DTRT, it could do either of these:
>
> - return to the directory listing (which is useless),
>   which is the top-level TOC
> - show the contents of all manuals (pretty costly),
>   which is the detailed TOC
>
> Currently, what `T' does is worse than useless. It shows this, where
> (dir) and the second Top are links to the same place - the directory
> you just came from:
>
>  Up: (dir)
>  File: toc,  Node: Top
>
>  Table of Contents
>  *****************
>
>  Top.

This seems like it's fixed now.  If I `T' in the top level node, it just
says "user-error: No such node or anchor: *TOC*".

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#397; Package emacs. Full text available.
Severity set to `wishlist' from `normal' Request was from Chong Yidong <cyd@HIDDEN> to control@HIDDEN. Full text available.

Message received at (unknown):


Received: (at unknown) by unknown; unknown
X-Spam-Checker-Version: SpamAssassin 3.2.3-bugs.debian.org_2005_01_02
	(2007-08-08) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Status: No, score=-4.7 required=4.0 tests=AWL,BAYES_00,FOURLA,
	RCVD_IN_DNSWL_MED,UNPARSEABLE_RELAY autolearn=ham
	version=3.2.3-bugs.debian.org_2005_01_02
Received: (at submit) by emacsbugs.donarmstrong.com; 12 Jun 2008 15:54:48 +0000
Received: from fencepost.gnu.org (fencepost.gnu.org [140.186.70.10])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id m5CFsjsD011788
	for <submit@HIDDEN>; Thu, 12 Jun 2008 08:54:46 -0700
Received: from mail.gnu.org ([199.232.76.166]:60066 helo=mx10.gnu.org)
	by fencepost.gnu.org with esmtp (Exim 4.67)
	(envelope-from <drew.adams@HIDDEN>)
	id 1K6p6P-00031c-8m
	for emacs-pretest-bug@HIDDEN; Thu, 12 Jun 2008 11:52:41 -0400
Received: from Debian-exim by monty-python.gnu.org with spam-scanned (Exim 4.60)
	(envelope-from <drew.adams@HIDDEN>)
	id 1K6p8I-0002IR-Ql
	for emacs-pretest-bug@HIDDEN; Thu, 12 Jun 2008 11:54:44 -0400
Received: from rgminet01.oracle.com ([148.87.113.118]:34732)
	by monty-python.gnu.org with esmtps (TLS-1.0:DHE_RSA_AES_256_CBC_SHA1:32)
	(Exim 4.60)
	(envelope-from <drew.adams@HIDDEN>)
	id 1K6p8I-0002Hx-Dx
	for emacs-pretest-bug@HIDDEN; Thu, 12 Jun 2008 11:54:38 -0400
Received: from agmgw1.us.oracle.com (agmgw1.us.oracle.com [152.68.180.212])
	by rgminet01.oracle.com (Switch-3.2.4/Switch-3.1.6) with ESMTP id m5CFsVUO006164
	for <emacs-pretest-bug@HIDDEN>; Thu, 12 Jun 2008 09:54:35 -0600
Received: from acsmt351.oracle.com (acsmt351.oracle.com [141.146.40.151])
	by agmgw1.us.oracle.com (Switch-3.2.0/Switch-3.2.0) with ESMTP id m5CF9c9a010271
	for <emacs-pretest-bug@HIDDEN>; Thu, 12 Jun 2008 09:54:30 -0600
Received: from inet-141-146-46-1.oracle.com by acsmt351.oracle.com
	with ESMTP id 3692191531213285985; Thu, 12 Jun 2008 08:53:05 -0700
Received: from dradamslap1 (/130.35.178.194)
	by default (Oracle Beehive Gateway v4.0)
	with ESMTP ; Thu, 12 Jun 2008 08:53:04 -0700
From: "Drew Adams" <drew.adams@HIDDEN>
To: <emacs-pretest-bug@HIDDEN>
Subject: 23.0.60; T in Info when in (dir)
Date: Thu, 12 Jun 2008 08:53:07 -0700
Message-ID: <007c01c8cca4$686e6fb0$c2b22382@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 11
Thread-Index: AcjMpGgnZU3S3Ph7TxGlwzd7jY/V8g==
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.3198
X-Brightmail-Tracker: AAAAAQAAAAI=
X-Brightmail-Tracker: AAAAAQAAAAI=
X-Whitelist: TRUE
X-Whitelist: TRUE
X-detected-kernel: by monty-python.gnu.org: Linux 2.4-2.6

`T' in Info when you are at the directory level (dir), should either
raise an error or DTRT.
 
To DTRT, it could do either of these:
 
- return to the directory listing (which is useless),
  which is the top-level TOC
- show the contents of all manuals (pretty costly),
  which is the detailed TOC
 
Currently, what `T' does is worse than useless. It shows this, where
(dir) and the second Top are links to the same place - the directory
you just came from:
 
 Up: (dir)
 File: toc,  Node: Top
 
 Table of Contents
 *****************
 
 Top.
 
This is not only useless; it is wrong. Top cannot be the same thing as
(dir), but both links lead to the same place. And the Top listed as
the current node is different from the destination of the Top link.
 
Please, at a minimum, (1) raise an error if `T' is used in the
directory (dir), and (2) disable (dim) the corresponding item in the
Info menu when in (dir).
 
 
 
In GNU Emacs 23.0.60.1 (i386-mingw-nt5.1.2600)
 of 2008-05-29 on LENNART-69DE564
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4) --no-opt --cflags -Ic:/g/include
-fno-crossjumping'
 





Acknowledgement sent to "Drew Adams" <drew.adams@HIDDEN>:
New bug report received and forwarded. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Report forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#397; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.